## mycompiler.myparser
Class JavaLexer

    java.lang.Object
      mycompiler.myparser.JavaLexer

Direct Known Subclasses:
  Scanner

    public class JavaLexer

extends java.lang.Object

Constructor Summary
`JavaLexer(java.io.InputStream instream)`
`JavaLexer(java.io.Reader reader)`

Method Summary
`boolean` `yylex()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JavaLexer

    public JavaLexer(java.io.Reader reader)

### JavaLexer

    public JavaLexer(java.io.InputStream instream)

Method Detail

### yylex

    public boolean yylex()
                  throws java.io.IOException

  Throws:
    `java.io.IOException`